@InProceedings{labos2009:viera09,
   address     = {Estoril, Lisbon, Portugal},
   affiliation = {EPFL},
   author      = {Vieira, Gustavo M. D. and Zwaenepoel, Willy and Buzato, Luis E.},
   booktitle   = {Proceedings of the 39th {I}nternational {C}onference on
                 {D}ependable {S}ystems and {N}etworks ({DSN})},
   details     = {http://infoscience.epfl.ch/record/135193},
   documenturl = {http://infoscience.epfl.ch/getfile.py?recid=135193&mode=best},
   doi         = { },
   pages       = {229--238},
   location    = {Estoril, Lisbon, Portugal},
   oai-id      = {oai:infoscience.epfl.ch:135193},
   oai-set     = {conf; fulltext-public; fulltext},
   publisher   = { },
   review      = {REVIEWED},
   series      = { },
   status      = {PUBLISHED},
   title       = {Dynamic {C}ontent {W}eb {A}pplications: {C}rash,
                 {F}ailover, and {R}ecovery {A}nalysis},
   unit        = {LABOS},
   url         = {http://www.dsn.org/},
   year        = 2009
}
@article{Chandra:1996:WFD:234533.234549,
 author = {Chandra, Tushar D. and Hadzilacos, Vassos and Toueg, Sam},
 title = {The weakest failure detector for solving consensus},
 journal = {J. ACM},
 volume = {43},
 issue = {4},
 month = {July},
 year = {1996},
 issn = {0004-5411},
 pages = {685--722},
 numpages = {38},
 url = {http://doi.acm.org/10.1145/234533.234549},
 doi = {http://doi.acm.org/10.1145/234533.234549},
 acmid = {234549},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {Byzantine Generals' problem, agreement problem, asynchronous systems, atomic broadcast, commit problem, consensus problem, crash failures, failure detection, fault-tolerance, message passing, partial synchrony, processor failures},
}
@inproceedings{Aguilera:2001:SLE:645958.676119,
 author = {Aguilera, Marcos K. and Delporte-Gallet, Carole and Fauconnier, Hugues and Toueg, Sam},
 title = {Stable Leader Election},
 booktitle = {Proceedings of the 15th International Conference on Distributed Computing},
 series = {DISC '01},
 year = {2001},
 isbn = {3-540-42605-1},
 pages = {108--122},
 numpages = {15},
 url = {http://portal.acm.org/citation.cfm?id=645958.676119},
 acmid = {676119},
 publisher = {Springer-Verlag},
 address = {London, UK},
}
@InProceedings{vieira08:_trepl,
  author = 	 {Vieira, Gustavo M. D. and Buzato, Luis E.},
  title = 	 {Treplica: {U}biquitous {R}eplication},
  booktitle = {Proceedings of the 26th Brazilian Symposium on Computer Networks and Distributed Systems},
  year = 	 2008}
@inproceedings{Aguilera:2007:SNP:1294261.1294278,
 author = {Aguilera, Marcos K. and Merchant, Arif and Shah, Mehul and Veitch, Alistair and Karamanolis, Christos},
 title = {Sinfonia: a new paradigm for building scalable distributed systems},
 booktitle = {Proceedings of twenty-first ACM SIGOPS symposium on Operating systems principles},
 series = {SOSP '07},
 year = {2007},
 isbn = {978-1-59593-591-5},
 location = {Stevenson, Washington, USA},
 pages = {159--174},
 numpages = {16},
 url = {http://doi.acm.org/10.1145/1294261.1294278},
 doi = {http://doi.acm.org/10.1145/1294261.1294278},
 acmid = {1294278},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {distributed systems, fault tolerance, scalability, shared memory, transactions, two-phase commit},
}
@article{Lamport:1978_clocks,
 author = {Lamport, Leslie},
 title = {Time, clocks, and the ordering of events in a distributed system},
 journal = {Commun. ACM},
 volume = {21},
 issue = {7},
 month = {July},
 year = {1978},
 issn = {0001-0782},
 pages = {558--565},
 numpages = {8},
 url = {http://doi.acm.org/10.1145/359545.359563},
 doi = {http://doi.acm.org/10.1145/359545.359563},
 acmid = {359563},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {clock synchronization, computer networks, distributed systems, multiprocess systems},
}
@inproceedings{Isard:2007:DDD:1272996.1273005,
 author = {Isard, Michael and Budiu, Mihai and Yu, Yuan and Birrell, Andrew and Fetterly, Dennis},
 title = {Dryad: distributed data-parallel programs from sequential building blocks},
 booktitle = {Proceedings of the 2nd ACM SIGOPS/EuroSys European Conference on Computer Systems 2007},
 series = {EuroSys '07},
 year = {2007},
 isbn = {978-1-59593-636-3},
 location = {Lisbon, Portugal},
 pages = {59--72},
 numpages = {14},
 url = {http://doi.acm.org/10.1145/1272996.1273005},
 doi = {http://doi.acm.org/10.1145/1272996.1273005},
 acmid = {1273005},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {cluster computing, concurrency, dataflow, distributed programming},
}
@article{Defago:2004,
 author = {D\'{e}fago, Xavier and Schiper, Andr\'{e} and Urb\'{a}n, P\'{e}ter},
 title = {Total order broadcast and multicast algorithms: Taxonomy and survey},
 journal = {ACM Comput. Surv.},
 volume = {36},
 issue = {4},
 month = {December},
 year = {2004},
 issn = {0360-0300},
 pages = {372--421},
 numpages = {50},
 url = {http://doi.acm.org/10.1145/1041680.1041682},
 doi = {http://doi.acm.org/10.1145/1041680.1041682},
 acmid = {1041682},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {Distributed systems, agreement problems, atomic broadcast, atomic multicast, classification, distributed algorithms, fault-tolerance, global ordering, group communication, message passing, survey, taxonomy, total ordering},
}
@TechReport{hadzilacos94,
  author = 	 {Hadzilacos, Vassos and Toueg, Sam},
  title = 	 {A modular approach to the specification and implementation of fault-tolerant broadcasts},
  institution =  {Department of Computer Science, Cornell University},
  year = 	 1994,
  key = 	 {TR94-1425},
  address = 	 {Ithaca, NY},
  month = 	 {May}}
@inproceedings{Rodrigues:2000,
 author = {Rodrigues, L. and Raynal, M.},
 title = {Atomic Broadcast in Asynchronous Crash-Recovery Distributed Systems},
 booktitle = {Proceedings of the The 20th International Conference on Distributed Computing Systems ( ICDCS 2000)},
 series = {ICDCS '00},
 year = {2000},
 isbn = {0-7695-0601-1},
 pages = {288--},
 url = {http://portal.acm.org/citation.cfm?id=850927.851790},
 acmid = {851790},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA},
 keywords = {Distributed Algorithms, Distributed Fault Tolerant Systems, Communication Protocols}
}
@article{Chandra:1996:UFD:226643.226647,
 author = {Chandra, Tushar D. and Toueg, Sam},
 title = {Unreliable failure detectors for reliable distributed systems},
 journal = {J. ACM},
 volume = {43},
 issue = {2},
 month = {March},
 year = {1996},
 issn = {0004-5411},
 pages = {225--267},
 numpages = {43},
 url = {http://doi.acm.org/10.1145/226643.226647},
 doi = {http://doi.acm.org/10.1145/226643.226647},
 acmid = {226647},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {Byzantine Generals' problem, agreement problem, asynchronous systems, atomic broadcast, commit problem, consensus problem, crash failures, failure detection, fault-tolerance, message passing, partial synchrony, processor failures},
}
@inproceedings{Schroeder:2007:DFR:1267903.1267904,
 author = {Schroeder, Bianca and Gibson, Garth A.},
 title = {Disk failures in the real world: what does an MTTF of 1,000,000 hours mean to you?},
 booktitle = {Proceedings of the 5th USENIX conference on File and Storage Technologies},
 year = {2007},
 location = {San Jose, CA},
 articleno = {1},
 pages = {1--16},
 url = {http://portal.acm.org/citation.cfm?id=1267903.1267904},
 acmid = {1267904},
 publisher = {USENIX Association},
 address = {Berkeley, CA, USA},
}
@article{Dwork:1988:CPP:42282.42283,
 author = {Dwork, Cynthia and Lynch, Nancy and Stockmeyer, Larry},
 title = {Consensus in the presence of partial synchrony},
 journal = {J. ACM},
 volume = {35},
 issue = {2},
 month = {April},
 year = {1988},
 issn = {0004-5411},
 pages = {288--323},
 numpages = {36},
 url = {http://doi.acm.org/10.1145/42282.42283},
 doi = {http://doi.acm.org/10.1145/42282.42283},
 acmid = {42283},
 publisher = {ACM},
 address = {New York, NY, USA},
}
@ARTICLE{Boichat_deconstructingpaxos,
 author = {Boichat, Romain and Dutta, Partha and Fr{\o}lund, Svend and Guerraoui, Rachid},
 title = {Deconstructing paxos},
 journal = {SIGACT News},
 volume = {34},
 issue = {1},
 month = {March},
 year = {2003},
 issn = {0163-5700},
 pages = {47--67},
 numpages = {21},
 url = {http://doi.acm.org/10.1145/637437.637447},
 doi = {http://doi.acm.org/10.1145/637437.637447},
 acmid = {637447},
 publisher = {ACM},
 address = {New York, NY, USA},
}
@article{Lamport:1998:PP:279227.279229,
 author = {Lamport, Leslie},
 title = {The part-time parliament},
 journal = {ACM Trans. Comput. Syst.},
 volume = {16},
 issue = {2},
 month = {May},
 year = {1998},
 issn = {0734-2071},
 pages = {133--169},
 numpages = {37},
 url = {http://doi.acm.org/10.1145/279227.279229},
 doi = {http://doi.acm.org/10.1145/279227.279229},
 acmid = {279229},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {state machines, three-phase commit, voting},
}
@article{Elnozahy:2002:SRP:568522.568525,
 author = {Elnozahy, E. N. (Mootaz) and Alvisi, Lorenzo and Wang, Yi-Min and Johnson, David B.},
 title = {A survey of rollback-recovery protocols in message-passing systems},
 journal = {ACM Comput. Surv.},
 issue_date = {September 2002},
 volume = {34},
 issue = {3},
 month = {September},
 year = {2002},
 issn = {0360-0300},
 pages = {375--408},
 numpages = {34},
 url = {http://doi.acm.org/10.1145/568522.568525},
 doi = {http://doi.acm.org/10.1145/568522.568525},
 acmid = {568525},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {message logging, rollback-recovery},
}
@inproceedings{Koo:1986:CRD:324493.325074,
 author = {Koo, Richard and Toueg, Sam},
 title = {Checkpointing and rollback-recovery for distributed systems},
 booktitle = {Proceedings of 1986 ACM Fall joint computer conference},
 series = {ACM '86},
 year = {1986},
 isbn = {0-8186-4743-4},
 location = {Dallas, Texas, United States},
 pages = {1150--1158},
 numpages = {9},
 url = {http://portal.acm.org/citation.cfm?id=324493.325074},
 acmid = {325074},
 publisher = {IEEE Computer Society Press},
 address = {Los Alamitos, CA, USA},
}
@article{10.1109/CCGRID.2010.40,
author = {Leonardo Arturo Bautista Gomez and Naoya Maruyama and Franck Cappello and Satoshi Matsuoka},
title = {Distributed Diskless Checkpoint for Large Scale Systems},
journal ={Cluster Computing and the Grid, IEEE International Symposium on},
volume = {0},
isbn = {978-0-7695-4039-9},
year = {2010},
pages = {63-72},
doi = {http://doi.ieeecomputersociety.org/10.1109/CCGRID.2010.40},
publisher = {IEEE Computer Society},
address = {Los Alamitos, CA, USA},
}
@article{Charron-Bost:2007:HDF:1233481.1233496,
 author = {Charron-Bost, Bernadette and Schiper, Andr\'{e}},
 title = {Harmful dogmas in fault tolerant distributed computing},
 journal = {SIGACT News},
 volume = {38},
 issue = {1},
 month = {March},
 year = {2007},
 issn = {0163-5700},
 pages = {53--61},
 numpages = {9},
 url = {http://doi.acm.org/10.1145/1233481.1233496},
 doi = {http://doi.acm.org/10.1145/1233481.1233496},
 acmid = {1233496},
 publisher = {ACM},
 address = {New York, NY, USA},
}
@inproceedings{Camargos:2007:MP:1281100.1281150,
 author = {Camargos, L\'{a}saro Jonas and Schmidt, Rodrigo Malta and Pedone, Fernando},
 title = {Multicoordinated Paxos},
 booktitle = {Proceedings of the twenty-sixth annual ACM symposium on Principles of distributed computing},
 series = {PODC '07},
 year = {2007},
 isbn = {978-1-59593-616-5},
 location = {Portland, Oregon, USA},
 pages = {316--317},
 numpages = {2},
 url = {http://doi.acm.org/10.1145/1281100.1281150},
 doi = {http://doi.acm.org/10.1145/1281100.1281150},
 acmid = {1281150},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {Paxos, atomic broadcast, consensus, generalized, multicoordinated},
}
@inproceedings{Fischer:1983:CPU:647891.739594,
 author = {Fischer, Michael J.},
 title = {The Consensus Problem in Unreliable Distributed Systems (A Brief Survey)},
 booktitle = {Proceedings of the 1983 International FCT-Conference on Fundamentals of Computation Theory},
 year = {1983},
 isbn = {3-540-12689-9},
 pages = {127--140},
 numpages = {14},
 url = {http://portal.acm.org/citation.cfm?id=647891.739594},
 acmid = {739594},
 publisher = {Springer-Verlag},
 address = {London, UK},
}
@article{10.1109/SRDS.2009.25,
author = {Omid Shahmirzadi and Sergio Mena and Andr\'{e} Schiper},
title = {Relaxed Atomic Broadcast: State-Machine Replication Using Bounded Memory},
journal ={Reliable Distributed Systems, IEEE Symposium on},
volume = {0},
issn = {1060-9857},
year = {2009},
pages = {3-11},
doi = {http://doi.ieeecomputersociety.org/10.1109/SRDS.2009.25},
publisher = {IEEE Computer Society},
address = {Los Alamitos, CA, USA},
}
@inproceedings{Okun:2002:NSR:829526.831119,
 author = {Okun, Michael and Barak, Amnon},
 title = {On Node State Reconstruction for Fault Tolerant Distributed Algorithms},
 booktitle = {Proceedings of the 21st IEEE Symposium on Reliable Distributed Systems},
 series = {SRDS '02},
 year = {2002},
 isbn = {0-7695-1659-9},
 pages = {160--},
 url = {http://portal.acm.org/citation.cfm?id=829526.831119},
 acmid = {831119},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA},
 keywords = {Distributed algorithms, fault tolerance, state reconstruction, recovery},
}
@inproceedings{Chandra:2007:PML:1281100.1281103,
 author = {Chandra, Tushar D. and Griesemer, Robert and Redstone, Joshua},
 title = {Paxos made live: an engineering perspective},
 booktitle = {Proceedings of the twenty-sixth annual ACM symposium on Principles of distributed computing},
 series = {PODC '07},
 year = {2007},
 isbn = {978-1-59593-616-5},
 location = {Portland, Oregon, USA},
 pages = {398--407},
 numpages = {10},
 url = {http://doi.acm.org/10.1145/1281100.1281103},
 doi = {http://doi.acm.org/10.1145/1281100.1281103},
 acmid = {1281103},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {Paxos, experiences, fault-tolerance, implementation},
}
@conference{juang2002crash,
  title={{Crash recovery with little overhead}},
  author={Juang, T.T.Y. and Venkatesan, S.},
  booktitle={Distributed Computing Systems, 1991., 11th International Conference on},
  pages={454--461},
  isbn={0818621443},
  year={2002},
  organization={IEEE}
}
@inproceedings{Freiling:2009:MCA:1729641.1730101,
 author = {Freiling, Felix C. and Lambertz, Christian and Majster-Cederbaum, Mila},
 title = {Modular Consensus Algorithms for the Crash-Recovery Model},
 booktitle = {Proceedings of the 2009 International Conference on Parallel and Distributed Computing, Applications and Technologies},
 series = {PDCAT '09},
 year = {2009},
 isbn = {978-0-7695-3914-0},
 pages = {287--292},
 numpages = {6},
 url = {http://dx.doi.org/10.1109/PDCAT.2009.50},
 doi = {http://dx.doi.org/10.1109/PDCAT.2009.50},
 acmid = {1730101},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA},
 keywords = {asynchronous systems, consensus, fault tolerance, process crash and recovery, stable storage},
}
@TechReport{oliveira97:consensus,
  author = 	 {Oliveira, Rui and Guerraoui, Rachid and Schiper, Andr\'{e}},
  title = 	 {Consensus in the crash-recover model},
  institution =  {Département d'Informatique, Ecole Polytechnique Fédérale},
  year = 	 1997,
  number = 	 {97-239},
  address = 	 {Laussane, Switzerland},
  month = 	 {August}}
@inproceedings{Freiling:2008:ECA:1432291.1432332,
 author = {Freiling, Felix C. and Lambertz, Christian and Majster-Cederbaum, Mila},
 title = {Easy Consensus Algorithms for the Crash-Recovery Model},
 booktitle = {Proceedings of the 22nd international symposium on Distributed Computing},
 series = {DISC '08},
 year = {2008},
 isbn = {978-3-540-87778-3},
 location = {Arcachon, France},
 pages = {507--508},
 numpages = {2},
 url = {http://dx.doi.org/10.1007/978-3-540-87779-0_39},
 doi = {http://dx.doi.org/10.1007/978-3-540-87779-0_39},
 acmid = {1432332},
 publisher = {Springer-Verlag},
 address = {Berlin, Heidelberg},
}
@article{Vieira:2008:CRF:1390853.1390875,
 author = {Vieira, Gustavo M. D. and Buzato, Luiz E.},
 title = {On the coordinator's rule for Fast Paxos},
 journal = {Inf. Process. Lett.},
 volume = {107},
 issue = {5},
 month = {August},
 year = {2008},
 issn = {0020-0190},
 pages = {183--187},
 numpages = {5},
 url = {http://portal.acm.org/citation.cfm?id=1390853.1390875},
 doi = {10.1016/j.ipl.2008.03.001},
 acmid = {1390875},
 publisher = {Elsevier North-Holland, Inc.},
 address = {Amsterdam, The Netherlands, The Netherlands},
 keywords = {Consensus, Crash-recovery, Distributed systems, Paxos},
}
@article{Schneider:1990:IFS:98163.98167,
 author = {Schneider, Fred B.},
 title = {Implementing fault-tolerant services using the state machine approach: a tutorial},
 journal = {ACM Comput. Surv.},
 volume = {22},
 issue = {4},
 month = {December},
 year = {1990},
 issn = {0360-0300},
 pages = {299--319},
 numpages = {21},
 url = {http://doi.acm.org/10.1145/98163.98167},
 doi = {http://doi.acm.org/10.1145/98163.98167},
 acmid = {98167},
 publisher = {ACM},
 address = {New York, NY, USA},
}
@article{lamport1978implementation,
  title={{The implementation of reliable distributed multiprocess systems}},
  author={Lamport, Leslie},
  journal={Computer Networks (1976)},
  volume={2},
  number={2},
  pages={95--114},
  issn={0376-5075},
  year={1978},
  publisher={Elsevier}
}
@inproceedings{Oki:1988:VRN:62546.62549,
 author = {Oki, Brian M. and Liskov, Barbara H.},
 title = {Viewstamped Replication: A New Primary Copy Method to Support Highly-Available Distributed Systems},
 booktitle = {Proceedings of the seventh annual ACM Symposium on Principles of distributed computing},
 series = {PODC '88},
 year = {1988},
 isbn = {0-89791-277-2},
 location = {Toronto, Ontario, Canada},
 pages = {8--17},
 numpages = {10},
 url = {http://doi.acm.org/10.1145/62546.62549},
 doi = {http://doi.acm.org/10.1145/62546.62549},
 acmid = {62549},
 publisher = {ACM},
 address = {New York, NY, USA},
}
@article{Lamport:1982:BGP:357172.357176,
 author = {Lamport, Leslie and Shostak, Robert and Pease, Marshall},
 title = {The Byzantine Generals Problem},
 journal = {ACM Trans. Program. Lang. Syst.},
 issue_date = {July 1982},
 volume = {4},
 issue = {3},
 month = {July},
 year = {1982},
 issn = {0164-0925},
 pages = {382--401},
 numpages = {20},
 url = {http://doi.acm.org/10.1145/357172.357176},
 doi = {http://doi.acm.org/10.1145/357172.357176},
 acmid = {357176},
 publisher = {ACM},
 address = {New York, NY, USA},
}
@article{Neiger:1990:AIF:83334.83337,
 author = {Neiger, Gil and Toueg, Sam},
 title = {Automatically increasing the fault-tolerance of distributed algorithms},
 journal = {J. Algorithms},
 volume = {11},
 issue = {3},
 month = {September},
 year = {1990},
 issn = {0196-6774},
 pages = {374--419},
 numpages = {46},
 url = {http://portal.acm.org/citation.cfm?id=83334.83337},
 doi = {10.1016/0196-6774(90)90019-B},
 acmid = {83337},
 publisher = {Academic Press, Inc.},
 address = {Duluth, MN, USA},
}
@TechReport{vieira10:implementing-tr,
  author = 	 {Vieira, Gustavo M. D. and Buzato, Luiz E.},
  title = 	 {Implementation of an Object-Oriented Specification
                  for Active Replication Using Consensus},
  institution =  {Instituto de Computação, Universidade Estadual de Campinas},
  year = 	 2010,
  number = 	 {IC-10-26},
  month = 	 {August}}
@article{Reynal:2005:SIF:1052796.1052806,
 author = {Reynal, Michel},
 title = {A short introduction to failure detectors for asynchronous distributed systems},
 journal = {SIGACT News},
 volume = {36},
 issue = {1},
 month = {March},
 year = {2005},
 issn = {0163-5700},
 pages = {53--70},
 numpages = {18},
 url = {http://doi.acm.org/10.1145/1052796.1052806},
 doi = {http://doi.acm.org/10.1145/1052796.1052806},
 acmid = {1052806},
 publisher = {ACM},
 address = {New York, NY, USA},
}
@inproceedings{Bonnet:2010:CAD:1825731.1826088,
 author = {Bonnet, Fran\c{c}ois and Raynal, Michel},
 title = {Consensus in Anonymous Distributed Systems: Is There a Weakest Failure Detector?},
 booktitle = {Proceedings of the 2010 24th IEEE International Conference on Advanced Information Networking and Applications},
 series = {AINA '10},
 year = {2010},
 isbn = {978-0-7695-4018-4},
 pages = {206--213},
 numpages = {8},
 url = {http://dx.doi.org/10.1109/AINA.2010.19},
 doi = {http://dx.doi.org/10.1109/AINA.2010.19},
 acmid = {1826088},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA},
}
@inproceedings{Gupta:2001:SED:383962.384010,
 author = {Gupta, Indranil and Chandra, Tushar D. and Goldszmidt, Germ\'{a}n S.},
 title = {On scalable and efficient distributed failure detectors},
 booktitle = {Proceedings of the twentieth annual ACM symposium on Principles of distributed computing},
 series = {PODC '01},
 year = {2001},
 isbn = {1-58113-383-9},
 location = {Newport, Rhode Island, United States},
 pages = {170--179},
 numpages = {10},
 url = {http://doi.acm.org/10.1145/383962.384010},
 doi = {http://doi.acm.org/10.1145/383962.384010},
 acmid = {384010},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {accuracy, distributed systems, efficiency, failure detectors, scalability},
}
@inproceedings{Xiong:2009:SFD:1632708.1633468,
 author = {Xiong, Naixue and Yang, Yan and Cao, Ming and He, Jing and Shu, Lei},
 title = {A Survey on Fault-Tolerance in Distributed Network Systems},
 booktitle = {Proceedings of the 2009 International Conference on Computational Science and Engineering - Volume 02},
 series = {CSE '09},
 year = {2009},
 isbn = {978-0-7695-3823-5},
 pages = {1065--1070},
 numpages = {6},
 url = {http://dx.doi.org/10.1109/CSE.2009.497},
 doi = {http://dx.doi.org/10.1109/CSE.2009.497},
 acmid = {1633468},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA},
 keywords = {Failure detector, Fault-tolerance, Network Systems, Quality-of-service},
}
@article{Chockler:2001:GCS:503112.503113,
 author = {Chockler, Gregory V. and Keidar, Idit and Vitenberg, Roman},
 title = {Group communication specifications: a comprehensive study},
 journal = {ACM Comput. Surv.},
 issue_date = {December 2001},
 volume = {33},
 issue = {4},
 month = {December},
 year = {2001},
 issn = {0360-0300},
 pages = {427--469},
 numpages = {43},
 url = {http://doi.acm.org/10.1145/503112.503113},
 doi = {http://doi.acm.org/10.1145/503112.503113},
 acmid = {503113},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {Group communication systems, partitionable group membership, process group membership, specifications of group communication systems, view synchrony, virtual synchrony},
}
@inproceedings{Hurfin:1998:CAS:829523.830974,
 author = {Hurfin, Michel and Most\'{e}faoui, Achour and Raynal, Michel},
 title = {Consensus in Asynchronous Systems Where Processes Can Crash and Recover},
 booktitle = {Proceedings of the The 17th IEEE Symposium on Reliable Distributed Systems},
 series = {SRDS '98},
 year = {1998},
 isbn = {0-8186-9218-9},
 pages = {280--},
 url = {http://portal.acm.org/citation.cfm?id=829523.830974},
 acmid = {830974},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA},
}
@inproceedings{Pinheiro:2007:FTL:1267903.1267905,
 author = {Pinheiro, Eduardo and Weber, Wolf-Dietrich and Barroso, Luiz Andr\'{e}},
 title = {Failure trends in a large disk drive population},
 booktitle = {Proceedings of the 5th USENIX conference on File and Storage Technologies},
 year = {2007},
 location = {San Jose, CA},
 pages = {2--2},
 numpages = {1},
 url = {http://portal.acm.org/citation.cfm?id=1267903.1267905},
 acmid = {1267905},
 publisher = {USENIX Association},
 address = {Berkeley, CA, USA},
}
@ARTICLE{gray07:empirical,
   author = {{Gray}, Jim and {van Ingen}, Catherine},
    title = "{Empirical Measurements of Disk Failure Rates and Error Rates}",
  journal = {ArXiv Computer Science e-prints},
   eprint = {arXiv:cs/0701166},
 keywords = {Computer Science - Databases, Computer Science - Architecture},
     year = 2007,
    month = jan,
   adsurl = {http://adsabs.harvard.edu/abs/2007cs........1166G},
}
@article{10.1109/SRDS.2008.9,
author = {Timo Warns and Christian Storm and Wilhelm Hasselbring},
title = {Availability of Globally Distributed Nodes: An Empirical Evaluation},
journal ={Reliable Distributed Systems, IEEE Symposium on},
volume = {0},
issn = {1060-9857},
year = {2008},
pages = {279-284},
doi = {http://doi.ieeecomputersociety.org/10.1109/SRDS.2008.9},
publisher = {IEEE Computer Society},
address = {Los Alamitos, CA, USA},
}
@article{10.1109/SRDS.2010.17,
author = {Raphael Marcos Menderico and Islene Calciolari Garcia},
title = {Diskless Checkpointing with Rollback-Dependency Trackability},
journal ={Reliable Distributed Systems, IEEE Symposium on},
volume = {0},
issn = {1060-9857},
year = {2010},
pages = {275-281},
doi = {http://doi.ieeecomputersociety.org/10.1109/SRDS.2010.17},
publisher = {IEEE Computer Society},
address = {Los Alamitos, CA, USA},
}
@article{Chandy:1985:DSD:214451.214456,
 author = {Chandy, K. Mani and Lamport, Leslie},
 title = {Distributed snapshots: determining global states of distributed systems},
 journal = {ACM Trans. Comput. Syst.},
 volume = {3},
 issue = {1},
 month = {February},
 year = {1985},
 issn = {0734-2071},
 pages = {63--75},
 numpages = {13},
 url = {http://doi.acm.org/10.1145/214451.214456},
 doi = {http://doi.acm.org/10.1145/214451.214456},
 acmid = {214456},
 publisher = {ACM},
 address = {New York, NY, USA},
}
@article{Randell:1978:RIC:356725.356729,
 author = {Randell, Brian and Lee, Pete and Treleaven, Phillip C.},
 title = {Reliability Issues in Computing System Design},
 journal = {ACM Comput. Surv.},
 volume = {10},
 issue = {2},
 month = {June},
 year = {1978},
 issn = {0360-0300},
 pages = {123--165},
 numpages = {43},
 url = {http://doi.acm.org/10.1145/356725.356729},
 doi = {http://doi.acm.org/10.1145/356725.356729},
 acmid = {356729},
 publisher = {ACM},
 address = {New York, NY, USA},
}
@article{Pease:1980:RAP:322186.322188,
 author = {Pease, Marshall and Shostak, Robert and Lamport, Leslie},
 title = {Reaching Agreement in the Presence of Faults},
 journal = {J. ACM},
 volume = {27},
 issue = {2},
 month = {April},
 year = {1980},
 issn = {0004-5411},
 pages = {228--234},
 numpages = {7},
 url = {http://doi.acm.org/10.1145/322186.322188},
 doi = {http://doi.acm.org/10.1145/322186.322188},
 acmid = {322188},
 publisher = {ACM},
 address = {New York, NY, USA},
}
@inproceedings{Song:2008:BBC:1785854.1785862,
 author = {Song, Yee Jiun and van Renesse, Robbert and Schneider, Fred B. and Dolev, Danny},
 title = {The building blocks of consensus},
 booktitle = {Proceedings of the 9th international conference on Distributed computing and networking},
 series = {ICDCN'08},
 year = {2008},
 isbn = {3-540-77443-2, 978-3-540-77443-3},
 location = {Kolkata, India},
 pages = {54--72},
 numpages = {19},
 url = {http://portal.acm.org/citation.cfm?id=1785854.1785862},
 acmid = {1785862},
 publisher = {Springer-Verlag},
 address = {Berlin, Heidelberg},
}
@TechReport{HUS+02/LSR,
   author      = {Hayashibara, Naohiro and Urbán, Péter and Schiper, André
                 and Katayama, Takuya},
   details     = {http://infoscience.epfl.ch/record/49945},
   documenturl = {http://infoscience.epfl.ch/getfile.py?recid=49945},
   oai-id      = {oai:infoscience.epfl.ch:49945},
   oai-set     = {fulltext; report; fulltext-public},
   title       = {Performance {C}omparison {B}etween the {P}axos and
                 {C}handra-{T}oueg {C}onsensus {A}lgorithms},
   unit        = {LSR},
   year        = 2002,
   institution = {EPFL},
}
@inproceedings{Burrows:2006:CLS:1298455.1298487,
 author = {Burrows, Mike},
 title = {The Chubby lock service for loosely-coupled distributed systems},
 booktitle = {Proceedings of the 7th symposium on Operating systems design and implementation},
 series = {OSDI '06},
 year = {2006},
 isbn = {1-931971-47-1},
 location = {Seattle, Washington},
 pages = {335--350},
 numpages = {16},
 url = {http://portal.acm.org/citation.cfm?id=1298455.1298487},
 acmid = {1298487},
 publisher = {USENIX Association},
 address = {Berkeley, CA, USA},
}
@article{Camargos:2007:SMH:1272998.1273036,
 author = {Camargos, L\'{a}saro and Pedone, Fernando and Wieloch, Marcin},
 title = {Sprint: a middleware for high-performance transaction processing},
 journal = {SIGOPS Oper. Syst. Rev.},
 volume = {41},
 issue = {3},
 month = {March},
 year = {2007},
 issn = {0163-5980},
 pages = {385--398},
 numpages = {14},
 url = {http://doi.acm.org/10.1145/1272998.1273036},
 doi = {http://doi.acm.org/10.1145/1272998.1273036},
 acmid = {1273036},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {middleware, parallel databases, partitioning, replication},
}
@inproceedings{MacCormick:2004:BAF:1251254.1251262,
 author = {MacCormick, John and Murphy, Nick and Najork, Marc and Thekkath, Chandramohan A. and Zhou, Lidong},
 title = {Boxwood: abstractions as the foundation for storage infrastructure},
 booktitle = {Proceedings of the 6th conference on Symposium on Opearting Systems Design \& Implementation - Volume 6},
 year = {2004},
 location = {San Francisco, CA},
 pages = {8--8},
 numpages = {1},
 url = {http://portal.acm.org/citation.cfm?id=1251254.1251262},
 acmid = {1251262},
 publisher = {USENIX Association},
 address = {Berkeley, CA, USA},
}
@inproceedings{Saito:2004:FBD:1024393.1024400,
 author = {Saito, Yasushi and Fr{\o}lund, Svend and Veitch, Alistair and Merchant, Arif and Spence, Susan},
 title = {FAB: building distributed enterprise disk arrays from commodity components},
 booktitle = {Proceedings of the 11th international conference on Architectural support for programming languages and operating systems},
 series = {ASPLOS-XI},
 year = {2004},
 isbn = {1-58113-804-0},
 location = {Boston, MA, USA},
 pages = {48--58},
 numpages = {11},
 url = {http://doi.acm.org/10.1145/1024393.1024400},
 doi = {http://doi.acm.org/10.1145/1024393.1024400},
 acmid = {1024400},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {consensus, disk array, erasure coding, replication, storage, voting},
}
@PhdThesis{vieira10:thesis,
  author = 	 {Vieira, Gustavo M. D.},
  title = 	 {Uma arquitetura de software para replicação baseda em consenso},
  school = 	 {{U}niversidade {E}studual de {C}ampinas, {I}nstituto de {C}omputaçao},
  year = 	 2010,
  address = 	 {Brasil},
  month = 	 {Novembro}}
@conference{garcia2002message,
  title={{Message ordering in a multicast environment}},
  author={Garcia-Molina, Hector and Spauster, Annemarie},
  booktitle={Distributed Computing Systems, 1989., 9th International Conference on},
  pages={354--361},
  isbn={0818619538},
  year={2002},
  organization={IEEE}
}
@article{cristian97:high_performance,
  author={Flaviu Cristian and Shivakant Mishra and Guillermo Alvarez},
  title={High-performance asynchronous atomic broadcast},
  journal={Distributed Systems Engineering},
  volume=4,
  number=2,
  pages=109,
  url={http://stacks.iop.org/0967-1846/4/i=2/a=005},
  year=1997
}
@inproceedings{Gopal:1989:RBS:645946.675018,
 author = {Gopal, Ajei S. and Toueg, Sam},
 title = {Reliable Broadcast in Synchronous and Asynchronous Environments (Preliminary Version)},
 booktitle = {Proceedings of the 3rd International Workshop on Distributed Algorithms},
 year = {1989},
 isbn = {3-540-51687-5},
 pages = {110--123},
 numpages = {14},
 url = {http://portal.acm.org/citation.cfm?id=645946.675018},
 acmid = {675018},
 publisher = {Springer-Verlag},
 address = {London, UK},
}
@inproceedings{Bar-Joseph:2002:EDA:645959.676132,
 author = {Bar-Joseph, Ziv and Keidar, Idit and Lynch, Nancy},
 title = {Early-Delivery Dynamic Atomic Broadcast},
 booktitle = {Proceedings of the 16th International Conference on Distributed Computing},
 series = {DISC '02},
 year = {2002},
 isbn = {3-540-00073-9},
 pages = {1--16},
 numpages = {16},
 url = {http://portal.acm.org/citation.cfm?id=645959.676132},
 acmid = {676132},
 publisher = {Springer-Verlag},
 address = {London, UK, UK},
}
@inproceedings{Birman:1987:EVS:41457.37515,
 author = {Birman, Kenneth and Joseph, Thomas},
 title = {Exploiting virtual synchrony in distributed systems},
 booktitle = {Proceedings of the eleventh ACM Symposium on Operating systems principles},
 series = {SOSP '87},
 year = {1987},
 isbn = {0-89791-242-X},
 location = {Austin, Texas, United States},
 pages = {123--138},
 numpages = {16},
 url = {http://doi.acm.org/10.1145/41457.37515},
 doi = {http://doi.acm.org/10.1145/41457.37515},
 acmid = {37515},
 publisher = {ACM},
 address = {New York, NY, USA},
}
@article{10.1109/DOA.1999.794001,
author = {Pascal Felber and Xavier Défago and Rachid Guerraoui and Philipp Oser},
title = {Failure Detectors as First Class Objects},
journal ={Distributed Objects and Applications, International Symposium on},
volume = {0},
isbn = {0-7695-0182-6},
year = {1999},
pages = {132},
doi = {http://doi.ieeecomputersociety.org/10.1109/DOA.1999.794001},
publisher = {IEEE Computer Society},
address = {Los Alamitos, CA, USA},
}
@article{Aguilera:2000:FDC:1035750.1035753,
 author = {Aguilera, Marcos Kawazoe and Chen, Wei and Toueg, Sam},
 title = {Failure detection and consensus in the crash-recovery model},
 journal = {Distributed Computing},
 volume = {13},
 issue = {2},
 month = {April},
 year = {2000},
 issn = {0178-2770},
 pages = {99--125},
 numpages = {27},
 url = {http://portal.acm.org/citation.cfm?id=1035750.1035753},
 doi = {10.1007/s004460050070},
 acmid = {1035753},
 publisher = {Springer-Verlag},
 address = {London, UK},
 keywords = {asynchronous systems, consensus, failure detection, fault tolerance, process crash, process recovery, stable storage},
}
@article{Boichat:2005:RTO:1066486.1066487,
 author = {Boichat, Romain and Guerraoui, Rachid},
 title = {Reliable and total order broadcast in the crash-recovery model},
 journal = {J. Parallel Distrib. Comput.},
 volume = {65},
 issue = {4},
 month = {April},
 year = {2005},
 issn = {0743-7315},
 pages = {397--413},
 numpages = {17},
 url = {http://dx.doi.org/10.1016/j.jpdc.2004.10.008},
 doi = {http://dx.doi.org/10.1016/j.jpdc.2004.10.008},
 acmid = {1066487},
 publisher = {Academic Press, Inc.},
 address = {Orlando, FL, USA},
 keywords = {Complexity, Crash-recovery model, Modularity, Reliable broadcast, Total order broadcast},
}@INPROCEEDINGS{aguilera09b,
  author = {Marcos K. Aguilera and Michael Walfish},
  title = {No Time for Asynchrony},
  booktitle = {Proc. of the 12th Workshop on Hot Topics in Operating Systems},
  year = {2009},
  publisher = {USENIX Association},
  file = {:/Users/buzato/bibliobase/papers/aguilera09b.pdf:PDF},
  keywords = {pfdtreplica},
  owner = {buzato},
  timestamp = {2010.03.29}
}
@ARTICLE{cristian99,
  author = {Flaviu Cristian and Christof Fetzer},
  title = {The Timed Asynchronous Distributed System Model},
  journal = {IEEE Transactions on Parallel and Distributed Systems},
  year = {1999},
  volume = {10},
  pages = {642-657},
  address = {Los Alamitos, CA, USA},
  doi = {http://doi.ieeecomputersociety.org/10.1109/71.774912},
  file = {:/Users/buzato/bibliobase/papers/cristian99.pdf:PDF},
  issn = {1045-9219},
  owner = {buzato},
  publisher = {IEEE Computer Society},
  timestamp = {2010.07.29}
}
@INPROCEEDINGS{ezhilchelvan09,
  author = {Paul Ezhilchelvan and Santosh Shrivastava},
  title = {Learning from the Past for Resolving Dilemmas of Asynchrony},
  booktitle = {Proc. of the 3rd ACM SIGOPS International Workshop on Large Scale
	Distributed Systems and Middleware},
  year = {2009},
  file = {:/Users/buzato/bibliobase/papers/ezhilchelvan09.pdf:PDF},
  keywords = {pfdtreplica},
  owner = {buzato},
  timestamp = {2010.03.29}
}
@INPROCEEDINGS{fetzer96,
  author = {Fetzer, Christof and Cristian, Flaviu},
  title = {Fail-awareness in timed asynchronous systems},
  booktitle = {PODC '96: Proceedings of the fifteenth annual ACM symposium on Principles
	of distributed computing},
  year = {1996},
  pages = {314--321},
  address = {New York, NY, USA},
  publisher = {ACM},
  doi = {http://doi.acm.org/10.1145/248052.248119},
  file = {:/Users/buzato/bibliobase/papers/fetzer96.pdf:PDF},
  isbn = {0-89791-800-2},
  keywords = {failure detector, clock synchronization, NTP},
  location = {Philadelphia, Pennsylvania, United States},
  owner = {buzato},
  timestamp = {2009.10.30}
}
@INPROCEEDINGS{fetzer05,
  author = {Christof Fetzer and Ulrich Schmid and Martin S?sskraut},
  title = {On the Possibility of Consensus in Asynchronous Systems with Finite
	Average Response Times},
  booktitle = {Distributed Computing Systems, International Conference on},
  year = {2005},
  pages = {271-280},
  address = {Los Alamitos, CA, USA},
  publisher = {IEEE Computer Society},
  doi = {http://doi.ieeecomputersociety.org/10.1109/ICDCS.2005.57},
  file = {:/Users/buzato/bibliobase/papers/fetzer05.pdf:PDF},
  issn = {1063-6927},
  owner = {buzato},
  timestamp = {2010.08.13}
}
@ARTICLE{fischer85,
  author = {Michael J. Fischer and Nancy Lynch and Michael S. Paterson},
  title = {Impossibility of distributed consensus with one faulty process},
  journal = {J. ACM},
  year = {1985},
  volume = {32},
  pages = {374--382},
  number = {2},
  address = {New York, NY, USA},
  doi = {http://doi.acm.org/10.1145/3149.214121},
  file = {fischer85.pdf:papers/fischer85.pdf:PDF},
  issn = {0004-5411},
  keywords = {consensus},
  owner = {buzato},
  publisher = {ACM Press},
  review = {Classic impossibility result for asynchronous systems.},
  timestamp = {2008.10.10}
}
@ARTICLE{keidar02,
  author = {Idit Keidar and Sergio Rajsbaum},
  title = {A simple proof of the uniform consensus synchronous lower bound},
  journal = {Information Processing Letters},
  year = {2003},
  volume = {85},
  pages = {47 - 52},
  number = {1},
  doi = {DOI: 10.1016/S0020-0190(02)00333-2},
  file = {:/Users/buzato/bibliobase/papers/keidar02.pdf:PDF},
  issn = {0020-0190},
  keywords = {Distributed computing},
  owner = {buzato},
  timestamp = {2010.04.06},
  url = {http://www.sciencedirect.com/science/article/B6V0F-4619MD5-2/2/1e18868b812187cd4f20949273362c61}
}
@ARTICLE{keidar01,
  author = {Keidar, Idit and Rajsbaum, Sergio},
  title = {On the cost of fault-tolerant consensus when there are no faults:
	preliminary version},
  journal = {SIGACT News},
  year = {2001},
  volume = {32},
  pages = {45--63},
  number = {2},
  address = {New York, NY, USA},
  doi = {http://doi.acm.org/10.1145/504192.504195},
  file = {:/Users/buzato/bibliobase/papers/keidar01.pdf:PDF},
  issn = {0163-5700},
  keywords = {pdftreplica},
  owner = {buzato},
  publisher = {ACM},
  timestamp = {2010.04.02}
}
@ARTICLE{lamport06,
  author = {Leslie Lamport},
  title = {Lower bounds for asynchronous consensus},
  journal = {Distributed Computing},
  year = {2006},
  volume = {19},
  pages = {104---125},
  number = {2},
  month = {June},
  file = {lamport06b.pdf:papers/lamport06b.pdf:PDF},
  owner = {buzato},
  timestamp = {2008.10.10}
}
@ARTICLE{lamport06a,
  author = {Leslie Lamport},
  title = {Fast {P}axos},
  journal = {Distrib. Comput.},
  year = {2006},
  volume = {19},
  pages = {79--103},
  number = {2},
  month = oct,
  address = {London, UK},
  doi = {http://dx.doi.org/10.1007/s00446-006-0005-x},
  file = {lamport06a.pdf:papers/lamport06a.pdf:PDF},
  issn = {0178-2770},
  keywords = {paxos, consensus},
  owner = {buzato},
  publisher = {Springer-Verlag},
  timestamp = {2008.10.10}
}
@ARTICLE{mishra02,
  author = {Shivakant Mishra and Christof Fetzer and Flaviu Cristian},
  title = {The Timewheel Group Communication System},
  journal = {IEEE Transactions on Computers},
  year = {2002},
  volume = {51},
  pages = {883-899},
  address = {Los Alamitos, CA, USA},
  doi = {http://doi.ieeecomputersociety.org/10.1109/TC.2002.1024737},
  issn = {0018-9340},
  owner = {buzato},
  publisher = {IEEE Computer Society},
  timestamp = {2010.07.29}
}
@article{dolev87,
	Publisher = {ACM},
	author = {Dolev, Danny and Dwork, Cynthia and Stockmeyer, Larry},
	title = {On the minimal synchronism needed for distributed consensus},
	journal = {Journal of the ACM (JACM)},
	volume = {34},
	number = {1},
	pages = {77-97},
	year = {1987},
}
@article{charron-bost04,
	Publisher = {Elsevier},
	author = {Charron-Bost, B. and Schiper, A.},
	title = {Uniform consensus is harder than consensus},
	journal = {Journal of Algorithms},
	volume = {51},
	number = {1},
	pages = {15-37},
	year = {2004},
	doi = {10.1016/j.jalgor.2003.11.001},
}
@techreport{raynal02,
	address = {Université de Rennes 1},
	institution = {Institut de Reserche en Systèmes Alèatoires},
	month = {July},
	Publisher = {IEEE Computer Society},
	author = {Raynal, M.},
	title = {Consensus in synchronous systems: a concise guided tour},
	year = {2002},
}
@techreport{rodrigues02,
	institution = {Department of Informatics, University of Lisbon},
	month = {September},
	type = {Tech Report},
	author = {Vicente, P. and Rodrigues, L.},
	title = {An Indulgent Uniform Total Order Algorithm with Optimistic Delivery},
	year = {2002},
}
@incollection{pedone98,
	Affiliation = {Ecole Polytechnique Fédérale de Lausanne Département d’Informatique 1015 Lausanne Switzerland 1015 Lausanne Switzerland},
	booktitle = {Distributed Computing},
	Chapter = {Lecture Notes in Computer Science},
	editor = {Kutten, Shay},
	publisher = {Springer},
	Url = {http://dx.doi.org/10.1007/BFb0056492},
	author = {Pedone, Fernando and Schiper, André},
	title = {Optimistic Atomic Broadcast},
	journal = {Distributed Computing},
	volume = {1499},
	pages = {318-332},
	year = {1998},
	doi = {10.1007/BFb0056492},
}
@article{felber01,
	address = {Mesa, AZ, United States},
	booktitle = {21st IEEE International Conference on Distributed Computing Systems},
	Isbn = {0-7695-1077-9},
	month = {April},
	Organization = {Published by the IEEE Computer Society},
	Publisher = {IEEE Computer Society},
	author = {Felber, Pascal and Schiper, André},
	title = {Optimistic Active Replication},
	journal = {Distributed Computing Systems, International Conference on},
	volume = {0},
	pages = {0333},
	year = {2001},
	doi = {http://doi.ieeecomputersociety.org/10.1109/ICDSC.2001.918963},
}
@INPROCEEDINGS{vieira09,
  author = {Vieira, Gustavo M. D. and Buzato, Luiz E.},
  title = {The Performance of {P}axos and {F}ast {P}axos},
  booktitle = {SBRC '09: Proc. of the 27th Brazilian Symposium on Computer Networks
	and Distributed Systems},
  year = {2009},
  pages = {291--304},
  address = {Recife, Brasil},
  month = may,
  file = {vieira09.pdf:papers/vieira09.pdf:PDF},
  keywords = {paxos, performance},
  owner = {gdvieira},
  timestamp = {2010.02.09},
  url = {http://www.ic.unicamp.br/~gdvieira/publications/}
}
@ARTICLE{vieira08b,
  author = {Gustavo M. D. Vieira and Luiz E. Buzato},
  title = {On the coordinator's rule for {F}ast {P}axos},
  journal = {Information Processing Letters},
  year = {2008},
  volume = {107},
  pages = {183--187},
  month = aug,
  doi = {http://dx.doi.org/10.1016/j.ipl.2008.03.001},
  file = {vieira08b.pdf:papers/vieira08b.pdf:PDF;Preprint:papers/vieira08b-preprint.pdf:PDF},
  keywords = {paxos},
  owner = {gdvieira},
  timestamp = {2008.08.12}
}
@TECHREPORT{vieira09-tr,
  author = {Vieira, Gustavo M. D. and Buzato, Luiz E.},
  title = {The Performance of {P}axos and {F}ast {P}axos},
  institution = {Institute of Computing, University of Campinas},
  year = {2008},
  number = {IC-08-35},
  month = dec,
  file = {vieira09-tr.pdf:papers/vieira09-tr.pdf:PDF},
  keywords = {paxos, performance},
  owner = {gdvieira},
  timestamp = {2010.02.10},
  url = {http://www.ic.unicamp.br/~reltech/2008/abstracts.html}
}
@TECHREPORT{vieira08a-tr,
  author = {Vieira, Gustavo M. D. and Buzato, Luiz E.},
  title = {{T}replica: Ubiquitous replication},
  institution = {Institute of Computing, University of Campinas},
  year = {2007},
  number = {IC-07-37},
  month = dec,
  file = {vieira08a-tr.pdf:papers/vieira08a-tr.pdf:PDF},
  keywords = {active replication, middleware, paxos, persistent queues},
  owner = {gdvieira},
  timestamp = {2010.02.10},
  url = {http://www.ic.unicamp.br/~reltech/2007/abstracts.html}
}
@TECHREPORT{vieira08b-tr,
  author = {Vieira, Gustavo M. D. and Buzato, Luiz E.},
  title = {On the coordinator's rule for {F}ast {P}axos},
  institution = {Institute of Computing, University of Campinas},
  year = {2007},
  number = {IC-07-35},
  month = nov,
  file = {vieira08b-tr.pdf:papers/vieira08b-tr.pdf:PDF},
  keywords = {paxos},
  owner = {gdvieira},
  timestamp = {2010.02.10},
  url = {http://www.ic.unicamp.br/~reltech/2007/abstracts.html}
}
@TECHREPORT{vieira-tr10a,
  author = {Vieira, Gustavo M. D. and Garcia, Islene Calciolari and Buzato,
	Luiz E.},
  title = {Seamless {P}axos Coordinators},
  institution = {Institute of Computing, University of Campinas},
  year = {2010},
  number = {IC-10-13},
  month = apr,
  file = {vieira-tr10a.pdf:papers/vieira-tr10a.pdf:PDF},
  keywords = {paxos, leader election, dependability, performance},
  owner = {gdvieira},
  timestamp = {2010.04.27},
  url = {http://www.ic.unicamp.br/~reltech/2010/abstracts.html}
}
@INPROCEEDINGS{buzato09,
  author = {Luiz E. Buzato and Gustavo M. D. Vieira and Willy Zwaenepoel},
  title = {Dynamic Content Web Applications: Crash, Failover, and Recovery Analysis},
  booktitle = {DSN 2009: 39th International Conference on Dependable Systems and
	Networks},
  year = {2009},
  pages = {229--238},
  address = {Estoril, Lisbon, Portugal},
  month = jun,
  doi = {http://dx.doi.org/10.1109/DSN.2009.5270331},
  file = {buzato09.pdf:papers/buzato09.pdf:PDF},
  keywords = {active replication, dependability, performance},
  owner = {gdvieira},
  timestamp = {2009.11.16}
}
@InCollection{Chor89,
  author = 	 {Chor, Benny and Dwork, Cynthia},
  booktitle = 	 {Advances in Computing research},
  title = 	 {Randomization in byzantine agreement},
  publisher =    {.},
  pages = 	 {443-497},
  year = 	 1989}
@book{dolev2000self,
  title={{Self-stabilization}},
  author={Dolev, Shlomi},
  isbn={0262041782},
  year={2000},
  publisher={The MIT press}
}
@book{Lynch:1996:DA:525656,
 author = {Lynch, Nancy},
 title = {Distributed Algorithms},
 year = {1996},
 isbn = {1558603484},
 publisher = {Morgan Kaufmann Publishers Inc.},
 address = {San Francisco, CA, USA},
}